use crate::print;

const STDOUT_FD: usize = 1;

pub fn sys_write(fd: usize, buffer: *const u8, len: usize) -> usize {
    match fd {
        STDOUT_FD => {
            let slice = unsafe { core::slice::from_raw_parts(buffer, len) };
            let str = core::str::from_utf8(slice).unwrap();
            print!("{}", str);
            len as usize
        }
        _ => {
            panic!("Unsupported file descriptor in sys_write");
        }
    }
}
